curl --request GET \
--url https://api.sandbox.isometric.com/registry/v0/credit_batches/{id} \
--header 'Authorization: Bearer <token>' \
--header 'x-client-secret: <x-client-secret>'import requests
url = "https://api.sandbox.isometric.com/registry/v0/credit_batches/{id}"
headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-client-secret': '<x-client-secret>', Authorization: 'Bearer <token>'}
};
fetch('https://api.sandbox.isometric.com/registry/v0/credit_batches/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"beneficiary": {
"domain": "isometric.com",
"id": "org_1GB56M1ST1S0GVNA",
"name": "Isometric"
},
"carbon_removal_data": {
"counterfactuals_kg": 123,
"emissions_kg": 123,
"gross_carbon_removed_kg": 123,
"losses_kg": 123,
"net_carbon_removed_kg": 123
},
"ccp_approved": true,
"country_of_issue": "GBR",
"delivered_at": "2023-11-07T05:31:56Z",
"delivery_id": "dlv_1C454ZXA61S03Z9T",
"ghg_entry_id": "rmv_1EEM6NJXX1S0EXKD",
"id": "ctb_1DRBTYA8Q1S07CBY",
"issuance_id": "iss_1EWT8R5FY1S0GFCY",
"issued_at": "2023-11-07T05:31:56Z",
"left_child_id": "ctb_1DRBTYA8Q1S07CBY",
"owner": {
"domain": "isometric.com",
"id": "org_1GB56M1ST1S0GVNA",
"name": "Isometric"
},
"parent_id": "ctb_1DRBTYA8Q1S07CBY",
"project_id": "prj_1CTWZQGKE1S0VAXA",
"removal_id": "rmv_1EEM6NJXX1S0EXKD",
"retired_at": "2023-11-07T05:31:56Z",
"retirement_id": "ret_1FYBH4QDT1S0SVKF",
"right_child_id": "ctb_1DRBTYA8Q1S07CBY",
"sequestered_on": "2023-12-25",
"serial_number": "ISO-1-BSTORE-GBR-F5X7-2024-78177-81177",
"size": {
"credit_kgs": 125632,
"credits": 125.632
},
"status": "active",
"supplier_id": "spl_1CC712KFS1S0YKPS"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Credit Batch
Information about a specific credit batch.
Authorizations
A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>
Headers
A secret token identifying the client connecting to the API
"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"
Path Parameters
20 - 37"ctb_1DRBTYA8Q1S07CBY"
"ctb_1CA2D3S73SBXYN70"
Response
Successful Response
Show child attributes
Show child attributes
Carbon removal data for this credit batch
Show child attributes
Show child attributes
Whether this credit batch has been issued as part of a ICVCM Core Carbon Principles (CCP) approved project
An ISO 3166-1 alpha-3 country code
3^[A-Z]{3}$"GBR"
"USA"
20 - 37"dlv_1C454ZXA61S03Z9T"
20 - 37"rmv_1EEM6NJXX1S0EXKD"
"rmv_1E3V4J2EWSBX5E82"
20 - 37"ctb_1DRBTYA8Q1S07CBY"
"ctb_1CA2D3S73SBXYN70"
20 - 37"iss_1EWT8R5FY1S0GFCY"
"iss_1CSVDDHH3SBXRP6K"
If this credit batch has status SPLIT, it will have two child batches representing the two halves of this split.
20 - 37"ctb_1DRBTYA8Q1S07CBY"
Show child attributes
Show child attributes
If this credit batch was created from splitting a larger batch in two, this will be set to the id of the parent credit batch.
20 - 37"ctb_1DRBTYA8Q1S07CBY"
20 - 37"prj_1CTWZQGKE1S0VAXA"
"prj_1E0QTWB22SBX34D1"
Deprecated, please use ghg_entry_id instead.
20 - 37"rmv_1EEM6NJXX1S0EXKD"
"rmv_1E3V4J2EWSBX5E82"
20 - 37"ret_1FYBH4QDT1S0SVKF"
If this credit batch has status SPLIT, it will have two child batches representing the two halves of this split.
20 - 37"ctb_1DRBTYA8Q1S07CBY"
"ISO-1-BSTORE-GBR-F5X7-2024-78177-81177"
Show child attributes
Show child attributes
active, split, retired 20 - 37"spl_1CC712KFS1S0YKPS"
"spl_1FJBMMGR3SBXKDME"
Was this page helpful?